Index: /extensions/Autosize/autosize.inc.php
===================================================================
--- /extensions/Autosize/autosize.inc.php	(revision 7804)
+++ /extensions/Autosize/autosize.inc.php	(revision 7805)
@@ -131,23 +131,63 @@
  * conflit =============================================
  */
- static public function cl_autosize_script_2($pictures)
+ static public function cl_autosize_script_3()
  {
- 	   global  $template,$user,$conf,$picture ;
-
+	   global  $template,$user,$conf,$picture ,$page;
+	   //userDefManage ??
 	   	$my_path =  basename(dirname(__FILE__)).'/' ;
 	    $my_path = dirname(__FILE__).'/';
-		$template->set_filenames(
+			$debug = isset($conf['debug']) ? $conf['debug'] : false ; 
+			$cl_conflit =  isset($conf['cl_conflit']) ? $conf['cl_conflit'] : 'false' ;
+			$template->set_filenames(
+		     array('autosize_init'=>$my_path. "template/cl_conflit3.tpl"  
+			 )
+		      );		
+			 
+			
+			  $theme=$user['theme'];
+			 
+  		$template->assign(
+  						array(
+						'cl_conflit' => $cl_conflit  ,
+						'theme' => $theme  ,
+						'DEBUG' => $debug   ,
+						'AUTOSIZE_PATH' => AUTOSIZE_PATH)
+						 );
+
+if(	$page['body_id'] == 'theAdminPage' ) return ;
+
+		   return $template->parse( 'autosize_init', false);
+
+ }// function cl_autosize_script_3
+
+ static public function cl_autosize_script_2()
+ {
+	   global  $template,$user,$conf,$picture ,$page;
+	   //userDefManage ??
+	   	$my_path =  basename(dirname(__FILE__)).'/' ;
+	    $my_path = dirname(__FILE__).'/';
+			$debug = isset($conf['debug']) ? $conf['debug'] : false ; 
+			$cl_conflit =  isset($conf['cl_conflit']) ? $conf['cl_conflit'] : 'false' ;
+			$template->set_filenames(
 		     array('autosize_init'=>$my_path. "template/cl_conflit.tpl"  
 			 )
-		      );		 
+		      );		
+			 
+			
+			  $theme=$user['theme'];
+			 
   		$template->assign(
-  						array(
+  						array('ma_page' =>	$page['body_id'],
+						'cl_conflit' => $cl_conflit  ,
+						'theme' => $theme  ,
 						'DEBUG' => $debug   ,
-						'AUTOSIZE_ROOT' => AUTOSIZE_PATH)
+						'AUTOSIZE_PATH' => AUTOSIZE_PATH)
 						 );
 
-		 
-		return $pictures;
- }
+if(	$page['body_id'] == 'theAdminPage' ) return ;
+
+		   return $template->parse( 'autosize_init', false);
+
+ }// function cl_autosize_script_2
  //============================================================
 	static public function cl_autosize_script()
@@ -158,21 +198,23 @@
 	    $my_path = dirname(__FILE__).'/';
 			$debug = isset($conf['debug']) ? $conf['debug'] : false ; 
-			$template->func_known_script(array('id'=>'jquery', 'src'=>get_root_url().'themes/default/js/jquery.packed.js'), $smarty);
-		$template->func_known_script(array('id'=>'jquery', 'src'=>$my_path. '/js/jconflit.js'), $smarty);
-	
-
-
-
-		$template->set_filenames(
+			$cl_conflit =  isset($conf['cl_conflit']) ? $conf['cl_conflit'] : 'false' ;
+			$template->set_filenames(
 		     array('autosize_init'=>$my_path. "template/conflit.tpl"  
 			 )
-		      );		 
+		      );		
+			 
+			
 			  $theme=$user['theme'];
+			 
   		$template->assign(
-  						array('theme' => $theme  ,
+  						array(
+						'cl_conflit' => $cl_conflit  ,
+						'theme' => $theme  ,
 						'DEBUG' => $debug   ,
-						'AUTOSIZE_ROOT' => AUTOSIZE_PATH)
+						'AUTOSIZE_PATH' => AUTOSIZE_PATH)
 						 );
+
 if(	$page['body_id'] == 'theAdminPage' ) return ;
+
 		   return $template->parse( 'autosize_init', false);
 
@@ -191,4 +233,5 @@
 			$data = array();
 			
+			 
 
  return $content;
Index: /extensions/Autosize/css/autosize.css
===================================================================
--- /extensions/Autosize/css/autosize.css	(revision 7804)
+++ /extensions/Autosize/css/autosize.css	(revision 7805)
@@ -1,4 +1,24 @@
-#theImage{opacity: 0.0 ;
-       filter: 'alpha(opacity:0)'; 
+#theImage{ 
+    filter: 'alpha(opacity:0)'; 
+    opacity: 0.0 ;
+      
        } 
-    }
+   
+/* jQuery ui resizable */
+.ui-resizable { position: relative; }
+.ui-wrapper { border: 0; }
+.ui-wrapper input, .ui-wrapper textarea { border: 0; }
+
+/* Global handle styles */
+.ui-resizable-handle { position: absolute; display: none; font-size: 0.1px; }
+.ui-resizable .ui-resizable-handle { display: block; }
+body .ui-resizable-disabled .ui-resizable-handle { display: none; } /* use 'body' to make it more specific (css order) */
+body .ui-resizable-autohide .ui-resizable-handle { display: none; } /* use 'body' to make it more specific (css order) */
+.ui-resizable-n { cursor: n-resize; height: 6px; width: 100%; top: 0px; left: 0px; background: transparent url(images/resizable-n.gif) no-repeat scroll center top; }
+.ui-resizable-s { cursor: s-resize; height: 6px; width: 100%; bottom: 0px; left: 0px; background: transparent url(images/resizable-s.gif) no-repeat scroll center top; }
+.ui-resizable-e { cursor: e-resize; width: 6px; right: 0px; top: 0px; height: 100%; background: transparent url(images/resizable-e.gif) no-repeat scroll right center; }
+.ui-resizable-w { cursor: w-resize; width: 6px; left: 0px; top: 0px; height: 100%; background: transparent url(images/resizable-w.gif) no-repeat scroll right center; }
+.ui-resizable-se { cursor: se-resize; width: 9px; height: 9px; right: 0px; bottom: 0px; background: transparent url(images/resizable-se.gif); }
+.ui-resizable-sw { cursor: sw-resize; width: 9px; height: 9px; left: 0px; bottom: 0px; background: transparent url(images/resizable-sw.gif); }
+.ui-resizable-nw { cursor: nw-resize; width: 9px; height: 9px; left: 0px; top: 0px; background: transparent url(images/resizable-nw.gif); }
+.ui-resizable-ne { cursor: ne-resize; width: 9px; height: 9px; right: 0px; top: 0px; background: transparent url(images/resizable-ne.gif); }
Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 7804)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 7805)
@@ -1,2 +1,8 @@
+if (typeof jQuery == 'undefined') {  
+    // jQuery n'est pas chargé
+} else {
+    // jQuery est chargé
+}
+ 
 function Toggle_bp() {
     cl_visible = !cl_visible;
@@ -13,15 +19,21 @@
     jQuery('#bp_img_cla').attr('title', src_info);
     jQuery('#bp_cla').attr('Stitle', src_info);
-    jQuery('#bp_cla').attr('Stip', " ");
-
-    jQuery(window).resize( );
+    jQuery('#bp_cla').attr('Stip', " ");       
+     jQuery().newResize();
+   
 }
 //=================================================================================================
-
-function wait_Timer() {
-
-    jQuery(window).resize();
-
+new_width=0;
+function Wait_Pamoorama() {
+               mypanorama = window.myPamoorama;
+               if (!mypanorama) setTimeout("Wait_Pamoorama()", 500);
+                 if ( mypanorama.skipInit==false) setTimeout("Wait_Pamoorama()", 500);
+              
+              if(! jQuery().newResize()) setTimeout("Wait_Pamoorama()", 500);
+                 if (  myPamoorama.options.width == new_width ) return 
 }
+ 
+ 
+//=========================================================
 
 jQuery(document).ready(
@@ -35,10 +47,13 @@
                  jQuery("#Debug2").hide();
              }
-             var img_top = "0";
-
-             var rapport = -1;
-
-             var llgboframe = jQuery("#gbo div:first");
-             var marges_llgbo = 0;
+ 
+             img_top = "0";
+             rapport = -1;
+             llgboframe = jQuery("#gbo div:first");
+             marges_llgbo = 0;
+             pos = 0;
+ 
+          //=========================================================
+
              if (llgboframe.length > 0) {
                  ll1 = jQuery(llgboframe).infos();
@@ -46,7 +61,5 @@
                  marges_llgbo = (ll1.width - ll2.width) + ll2.borderwidth.left + ll2.borderwidth.right;
              }
-             //=========================================================
-
-
+                   
              //=============================================================
              function cl_Timer() {
@@ -63,20 +76,6 @@
                  setTimeout("cl_Timer()", 500);
              }
-             //=============================================================
-             function onPropertyChange(e) {
-                 var el = e.srcElement;
-                 var new_class = el.className;
-                 ID = el.id;
-                 Prop = e.propertyName.split(".");
-                 Property = Prop[1];
-                 if (Property == "display") {
-                     Valeur = parseInt(el.currentStyle[Property]);
-                     if (Valeur == "block") {
-
-
-                     }
-                 }
-                 return;
-             }
+
+            
              //============================================================
              /*
@@ -153,5 +152,5 @@
                  }
 
-                 info_description.top = info_img.bottom + info_img.margin.bottom + info_img.borderwidth.bottom;
+                 info_description.top = Bandeau + info_img.top + info_img.bottom + info_img.margin.bottom + info_img.borderwidth.bottom;
                  //=============================================================================
                  info_gbo = jQuery("#gbo").infos();
@@ -227,42 +226,41 @@
 
                  if (DEBUG == "true") {
-
-                     /*  jQuery("#Debug").text(jQuery("#Debug").text() + user_status);    
-        
-
-                     info_description.width = "800";
-                     */
-                     jQuery("#Debug").css('display', 'block');
+                        jQuery("#Debug").css('display', 'block');
+                         jQuery("#Dragg").css('display', 'block');
                      jQuery("#Debug1").show();
-                     jQuery("#Debug2").show();
-                     Bandeau_bas = info_description;
-
-                     jQuery("#Debug").css({ opacity: 0.5,
+                     jQuery("#Debug2").show();              
+                 Bandeau_bas = info_description;
+                     jQuery().affiche_debug({ debug: {texte:"Debug:Bandeau : " + Bandeau,
+                     css:{
+                         opacity: 0.5,
                          filter: 'alpha(opacity:50)',
                          position: "absolute",
                          width: "800px",
                          border: "solid 1px green",
-                         top: Bandeau + "px"
-                     });
-                     jQuery("#Debug").text("Debug:Bandeau : " + Bandeau);
-
-                     jQuery("#Debug1").css({ opacity: 0.5,
+                         top: Bandeau + "px"}
+                     },
+                         debug1:{ texte:"Debug1:Bandeau_bas top : " + Bandeau_bas.top + " height:" + Bandeau_bas.height,
+                         css:{ 
+                         opacity: 0.5,
                          filter: 'alpha(opacity:50)',
                          position: "absolute",
                          border: "solid 1px green",
                          top: Bandeau_bas.top + "px",
-                         width: (200) + "px",
+                         width: (800) + "px",
                          height: Bandeau_bas.height + "px"
-                     });
-                     jQuery("#Debug1").text("Debug1:Bandeau_bas top : " + Bandeau_bas.top + " height:" + Bandeau_bas.height);
-
-                     jQuery("#Debug2").css({ opacity: 0.5,
+                     }
+                     },
+                         debug2: { texte: "Debug2:Bandeau_bas bottom :" + Bandeau_bas.bottom ,
+                         css:{
+                         opacity: 0.5,
                          filter: 'alpha(opacity:50)',
                          position: "absolute",
                          left: '50px',
-                         width: (300) + "px",
+                         width: (800) + "px",
                          border: "solid 1px green", top: Bandeau_bas.bottom + "px"
+                         }
+                         }
                      });
-                     jQuery("#Debug2").text("Debug2:Bandeau_bas bottom :" + Bandeau_bas.bottom);
+
 
                  }
@@ -283,41 +281,22 @@
              */
 
-             //============================================================//==
-             jQuery("#pamoorama_outter").bind('resize', function () {
-                 //   setTimeout("wait_Timer()", 200);
-
-             })
-
-
-
              //============================================================
-             jQuery("#iGMapsIcon").bind('resize', function () {
-                 jQuery().recentrage_widget();
-             })
-             jQuery("#icon_gmaps").bind('click', function () {
-                 jQuery().recentrage_widget();
-             })
-
-
-
-
-
 
              /* jQuery */
-             var img_init = { height: img_height, width: img_width };  // taille initiale
-             var img_defaut = { height: scaled_height, width: scaled_width };
-             var img_reelle = { height: img_height, width: img_width };
-             var img_finale = { height: 0, width: 0 };
-             var Zone_Affichage = { height: 0, width: 0 };
+             img_init = { height: img_height, width: img_width };  // taille initiale
+             img_defaut = { height: scaled_height, width: scaled_width };
+             img_reelle = { height: img_height, width: img_width };
+             img_finale = { height: 0, width: 0 };
+             Zone_Affichage = { height: 0, width: 0 };
 
              //============================================================
 
-             var Info_the_page = jQuery("#the_page").infos();
-             var Zone_Affichage = jQuery("#theImage").infos();
-
-             var Bandeau = 0;
-             var Bandeau_t = Info_entete("theImage")
+             Info_the_page = jQuery("#the_page").infos();
+             Zone_Affichage = jQuery("#theImage").infos();
+
+             Bandeau = 0;
+             Bandeau_t = Info_entete("theImage")
              Bandeau = Bandeau_t.img_top;
-             var Bandeau_bas = 0;
+             Bandeau_bas = 0;
              Bandeau_bas = Info_description("theImage");
              var old_window = { width: 0, height: 0 };
@@ -331,14 +310,15 @@
 
              jQuery(window).resize(
-               function (event, ui) {
-                   if (event.type == "resize")
-
-
-                       myevent = arguments[0] = jQuery.event.fix(event || window.event);
-                   myevent.currentTarget = this;
-
-                   // Namespaced event handlers
+               function (event, ui) {        
+               event = event || window.event;
+       
+                   if (event.type == "resize")                      
+                  {  
+                    myevent = arguments[0] = jQuery.event.fix(event || window.event);
+                    myevent.currentTarget = this;
+                     // Namespaced event handlers
                    var namespaces = myevent.type.split(".");
-                   myevent.type = namespaces.shift();
+                     myevent.type = namespaces.shift();
+                   }
                    if (typeof (init_resize) == "undefined") init_resize = false;
 
@@ -351,21 +331,160 @@
                    if (init_resize == false)
                        init_resize = Resize(); ;
-
-
-
                });
 
-             var chk = eval(user_status + "_enabled");
-             function Resize(Force) {
-
-                 if (!cl_visible == true) return true;
-                 if (chk == "") return true;
+             //============== initialisation ===================
+             fade_in = parseInt(fade_in);
+            if (fade_in==0 )
+                 {
+                 jQuery("#theImage").css({
+                         opacity: 1,
+                         filter: 'alpha(opacity:100)'}
+                 )}else{
+                 jQuery("#theImage").animate(
+                         { opacity: 1 }, fade_in   , "swing"
+                        );
+             }
+
+             var pos;
+             var set_p = false;
+             function Resize() {
+
+                  jQuery().newResize();
+                     
+                
+             }
+
+             //===================================================
+             elem=jQuery("#pamoorama").get(0) ;
+if(elem)
+{           type="propertychange";
+            handle=jQuery().onPropertyChange;
+
+                        if (elem.addEventListener) {// Firefox, Opera, Google Chrome and Safari
+                            elem.addEventListener('DOMAttrModified', handle, false);
+                        } else if (elem.attachEvent) {
+                            elem.attachEvent("on" + type, handle);
+                        }
+    }
+             jQuery().newResize(); 
+      
+ 
+         }); // window.onload
+         /* Extension
+         * affiche_debug
+
+         * resize
+         * :
+         */
+         //=========================================================
+ 
+
+         jQuery.fn.extend({
+                      //=============================================================
+           onPropertyChange:  function (e) {
+           return ;
+
+                 if(jQuery.browser.msie)
+                 {    var el = e.srcElement;
+                        ID = el.id;                
+                        Prop = e.propertyName.split(".");
+                        if(Prop.length < 2) return ;                      
+                          Property = Prop[1];
+                 }
+                 else
+                 {ID =this.id ;
+                     Prop = e.attrName ;
+                     Property = e.newValue  ;
+                 }
+           jQuery().affiche_debug({ Dragg: {texte:"onPropertyChange : " + ID,
+                     css:{
+                         opacity: 0.5,
+                         filter: 'alpha(opacity:50)',
+                         position: "absolute",
+                         width: "500px",
+                         border: "solid 1px green",
+                         top: 130 + "px"}
+                     }
+                     });
+                  mypanorama = window.myPamoorama;
+                 if (Property.match("width","gi")) {
+                   
+                 
+                if(!mypanorama) 
+                  setTimeout("wait_Pamoorama()", 500); 
+                   
+
+
+               if(jQuery("#pamoorama_outter").length == 0)
+               {
+               elem=jQuery("#pamoorama").get(0);
+                 type="propertychange";
+            handle=jQuery().onPropertyChange;
+
+                     if (elem.addEventListener) {// Firefox, Opera, Google Chrome and Safari
+                            elem.addEventListener('DOMAttrModified', handle, false);
+                        } else if (elem.attachEvent) {
+                            elem.attachEvent("on" + type, handle);
+                        }
+                  setTimeout("wait_Timer()", 600); 
+                  }
+               else if( jQuery("#pamoorama_footer").length == 0)
+                   setTimeout("wait_Pamoorama()", 600); 
+                else if( jQuery("#pamoorama_frame").length == 0)
+                    setTimeout("wait_Pamoorama()", 600); 
+                 }
+                 return;
+             },
+                     /*
+             * recherche la plus grande image (hauteur ou largeur)
+             */
+          Get_Img_Maxi:   function (myobj) {
+                 var w00 = 0;
+                 var TheImg = null;
+                 jQuery(myobj).each(function (i) {
+                     w0 = img_reelle.width;
+                     h0 = img_reelle.height;
+                     if (h0 > w0) w0 = h0;
+                     if (w0 > w00) {
+                         if (!this.src.match(RegExp(".png", "g")))
+                             if (!this.src.match(RegExp(thumbnail, "g"))) {
+                                 TheImg = this;
+                                 w00 = w0;
+                             }
+
+                     }
+                 });
+                 return TheImg;
+             },
+          //============================================================
+           affiche_debug:  function (aff_infos) {
+                 if (aff_infos.Dragg) {
+                    jQuery("#Dragg").css( aff_infos.Dragg.css );
+                     jQuery("#Dragg").text(aff_infos.Dragg.texte);
+                 }
+                 if (aff_infos.debug) {
+                    jQuery("#Debug").css( aff_infos.debug.css );
+                     jQuery("#Debug").text(aff_infos.debug.texte);
+                 }
+                 if (aff_infos.debug1) {
+                     jQuery("#Debug1").css( aff_infos.debug1.css );
+                     jQuery("#Debug1").text(aff_infos.debug1.texte);
+                 }
+                 //===================================================
+                 if (aff_infos.debug2) {
+                    jQuery("#Debug2").css( aff_infos.debug2.css );
+                     jQuery("#Debug2").text(aff_infos.debug2.texte);
+                 }
+             },
+//====================================================
+             newResize: function () {
+            
+                 //_____________________________________________________
+                 var chk = eval(user_status + "_enabled");
+                 if (!cl_visible == true)  { return true; }
+                 if (chk == "") { return true;  }
+                
                  //=================================================================
-                 //var retour = (getStackTrace());
-                 //   alert(retour);
-                 //jQuery("#debug").text(retour);
-                 //  return
-                 //=================================================================
-
+                 
                  var winwidth = jQuery(window).width();
                  var winheight = jQuery(window).height();
@@ -374,5 +493,5 @@
                  //===========================================================================
 
-
+                 
                  var Type_Img = "";
                  //====== détection du type d'images ======
@@ -442,5 +561,18 @@
 
                  if (Type_Img == "pamoorama") {
-                     var info_pamoorama = jQuery("#pamoorama").infos();
+
+                     mypanorama = window.myPamoorama;                    
+                     //============================================================
+                     if (typeof (mypanorama) == "undefined") return false;
+                     var myPamoorama = mypanorama;
+                     if (typeof (myPamoorama.skipInit) == "undefined") return false;
+//
+
+                     if (myPamoorama.skipInit == false) {
+                            setTimeout("Wait_Pamoorama()", 500);
+                            return false;
+                     }
+
+                        var info_pamoorama = jQuery("#pamoorama").infos();
                      var info_pamoorama_outter = jQuery("#pamoorama_outter").infos();
                      var info_pamoorama_inner = jQuery("#pamoorama_inner").infos();
@@ -448,7 +580,6 @@
                      var info_pamoorama_frame = jQuery("#pamoorama_frame").infos();
                      TheImg = jQuery("#pamoorama");
-                      
-                  var myPamoorama = this.myPamoorama;
-                   //  myPamoorama = pamoorama;
+                     obj = TheImg.get(0);             
+                     //  myPamoorama = pamoorama;
 
                      /*
@@ -481,5 +612,5 @@
                      else IMG = Cadre;
 
-                     TheImg2 = Get_Img_Maxi(IMG + " img");
+                     TheImg2 = jQuery().Get_Img_Maxi(IMG + " img");
                      //=================================================================
                      if (TheImg2 == null) {
@@ -488,5 +619,5 @@
 
 
-                             TheImg = Get_Img_Maxi("#theImage img");
+                             TheImg = jQuery().Get_Img_Maxi("#theImage img");
                          }
                      } else {
@@ -522,6 +653,6 @@
                          // return;
 
-
-                         TheImg = Get_Img_Maxi("#Panorama img");
+                       
+                         TheImg = jQuery().Get_Img_Maxi("#Panorama img");
                          info_theImage = jQuery(TheImg).infos();
                          info_the_page = jQuery("#the_page").infos();
@@ -578,11 +709,7 @@
                          break
                      case "pamoorama":
-                         //=========================================================
-                         if (typeof (myPamoorama) == "undefined") return false;
-                         if (typeof (myPamoorama.skipInit) == "undefined") return false;
-                         if (myPamoorama.skipInit == false) {
-                             // setTimeout("wait_Timer()",300); 
-                             return false;
-                         }
+
+                        img_reelle = { height: img_height, width: img_width };
+
                          //=========================================================
                          img_reelle.height = myPamoorama.imageHeight;
@@ -672,5 +799,5 @@
 
 
-
+                 
                  img_top = Bandeau;
 
@@ -866,5 +993,5 @@
                  jQuery(Cadre).width(Zone_Affichage.width);
 
-                 //==============================================================
+                 //============= Remise à l'échelle =======================
 
                  img_finale.height = Image_height;
@@ -924,5 +1051,5 @@
                      }
                      new_width = Zone_Affichage.width - marge_right - marge_left;
-                     new_width -= 4;
+                     
                      myPamoorama.options.width = new_width;
                      info_theImage.height = img_reelle.height + info_pamoorama_footer.height
@@ -935,14 +1062,18 @@
                      });
                      jQuery("#pamoorama").width(new_width);
+
                      //====================================================
-                     jQuery("#pamoorama_outter").css({
-                         left: marge_left + "px",
-                         height: myPamoorama.imageHeight + "px",
-                         width: (new_width) + "px"
-                     });
-                     jQuery("#pamoorama_outter").width(new_width);
-                     //====================================================
-                     jQuery("#pamoorama_footer").width(new_width);
-                     jQuery("#pamoorama_footer").css('width', new_width + "px");
+                 info_pamoorama = jQuery("#pamoorama").infos();
+                  img_finale.height=info_pamoorama.height-info_pamoorama_footer.height;
+                  img_finale.width=new_width;
+
+                 jQuery("#pamoorama_outter").width(new_width) ;
+                 jQuery("#pamoorama_outter").height(info_pamoorama.height-info_pamoorama_footer.height);
+                 jQuery("#pamoorama_fouter").width(new_width) ;
+
+                 jQuery("#pamoorama_outter").css({width:new_width+"px",
+                 height:info_pamoorama.height-info_pamoorama_footer.height+"px"
+                 } );
+                jQuery("#pamoorama_footer").css({width:new_width+"px"})
                      //====================================================
                      var info_pamoorama = jQuery("#pamoorama").infos();
@@ -952,14 +1083,4 @@
                      var info_pamoorama_frame = jQuery("#pamoorama_frame").infos();
 
-                     //myPamoorama.dragHandle.options.limit.x = { 0: 0, 1: 400 }
-                     /*   myPamoorama.frame.makeDraggable({
-                     modifiers: { x: 'left', y: false },
-                     limit: { x: [0, 200 - myPamoorama.frame.getStyle('width').toInt()] }
-                     });
-                     */
-                     //myPamoorama.continueInit();
-                     //myPamoorama.skipInit = false;
-                     //pamoorama_thumb
-                     //               img
                      info_frame = jQuery(myPamoorama.frame).infos();
                      myPamoorama.ratio = new_width / 200;
@@ -970,4 +1091,10 @@
                      jQuery("#linkNext").css({ width: "200px", overflow: "hidden" });
                      jQuery("#linkPrev").css({ width: "200px", overflow: "hidden" });
+
+                     jQuery(TheImg).height(img_finale.height);
+                     jQuery(TheImg).width(img_finale.width);
+                     jQuery(TheImg).css("height", img_finale.height + "px ");
+                     jQuery(TheImg).css("width", img_finale.width + "px ");
+
                      zoom = Image_height / img_height;
 
@@ -979,6 +1106,6 @@
                      jQuery(TheImg).height(img_finale.height);
                      jQuery(TheImg).width(img_finale.width);
-                     jQuery(TheImg).css("height", img_finale.height + "px");
-                     jQuery(TheImg).css("width", img_finale.width + "px");
+                     jQuery(TheImg).css("height", img_finale.height + "px ");
+                     jQuery(TheImg).css("width", img_finale.width + "px ");
 
                  } else {
@@ -986,6 +1113,6 @@
                      jQuery(TheImg).height(img_finale.height);
                      jQuery(TheImg).width(img_finale.width);
-                     jQuery(TheImg).css("height", img_finale.height + "px");
-                     jQuery(TheImg).css("width", img_finale.width + "px");
+                     jQuery(TheImg).css("height", img_finale.height + "px ");
+                     jQuery(TheImg).css("width", img_finale.width + "px ");
 
                  }
@@ -993,28 +1120,30 @@
                  if (DEBUG == "true") {
 
-                     jQuery("#Debug1").css({
-                         position: "absolute",
-                         top: Bandeau + "px",
-                         textAlign: align_auto,
-                         margin: "0px auto",
-
-
-                         border: "solid 1px red",
-
-                         width: Image_width + "px",
-                         height: Image_height + "px"
-
+                     jQuery().affiche_debug({ debug3: { texte: "Debug:Bandeau : " + Bandeau,
+                         css: {
+                             opacity: 0.5,
+                             filter: 'alpha(opacity:50)',
+                             position: "absolute",
+ 
+                         }
+                     },
+                     debug1: { texte: "Debug1:img_finale.height : " + img_finale.width + " height:" + img_finale.height,
+                             css: {
+                                 opacity: 0.5,
+                                 filter: 'alpha(opacity:50)',
+                                 position: "absolute",
+                    
+                             }
+                         },
+                         debug2: { texte: "Debug2:Bandeau_bas bottom :" + Bandeau_bas.bottom,
+                             css: {
+                                 opacity: 0.5,
+                                 filter: 'alpha(opacity:50)',
+                                 position: "absolute",
+                              
+                             }
+                         }
                      });
-                     jQuery("#Debug1").text("img_finale.heightt : " + img_finale.height);
-                     //===================================================
-                     jQuery("#Debug2").css({ position: "absolute",
-                         left: Zone_Affichage.left + 'px',
-                         border: "solid 1px green",
-                         top: Zone_Affichage.top + "px",
-                         width: Zone_Affichage.width / 2 + "px",
-                         height: Zone_Affichage.height + "px"
-
-                     });
-                     jQuery("#Debug2").text("info_Cadre.height : " + info_Cadre.height);
+
                  }
                  jQuery("#navThumbPrev").css({ overflow: "hidden"
@@ -1062,131 +1191,25 @@
 
                  }
-                 //  
-                 if (!pos) pos = jQuery("#copyright").infos();
+                 //  --- rglage de la hauteur de page en fonction du copyright-----------
+                 if (typeof (pos) == "undefined") pos = jQuery("#copyright").infos();
                  if (pos != jQuery("#copyright").infos())
                      pos = jQuery("#copyright").infos();
                  if (pos.top > 100) jQuery("#the_page").height(pos.top);
-                 jQuery("#theImage").animate(
-               { opacity: 1 }
-             , fade_in, "swing"
-             );
-                 return true;
-
-             };  // Resize();
+                                 return true;
+
+
+
+
+
+                 //_____________________________________________________
+             } // Resize();
+
+
              //======================================================================
-             var pos;
-             var set_p = false;
-
-             fade_in = parseInt(fade_in);
-             jQuery("#theImage").css({ opacity: 0,
-                 filter: 'alpha(opacity: 0)'
-
-             });
-             resize_ok = Resize();
-
-            if (!resize_ok )
-           jQuery("#theImage").animate(
-                { opacity: 0 }
-             , 500, "swing", function () {
-                 resize_ok = Resize();
-                 if (!resize_ok)
-                    jQuery("#theImage").animate(
-                        { opacity: 0 }
-                        , 1000, "swing", function () {
-                            resize_ok = Resize();
-                            if (resize_ok)
-                                jQuery("#theImage").animate(
-                                { opacity: 1 }
-                                , 1000, "swing", function () {
-                                    resize_ok = Resize();
-                                    });
-                                });
-
-             });
-              
-             resize_ok = Resize();
-
-
-
-             /*
-             * recherche la plus grande image (hauteur ou largeur)
-             */
-
-
-             function Get_Img_Maxi(myobj) {
-                 var w00 = 0;
-                 var TheImg = null;
-                 jQuery(myobj).each(function (i) {
-                     w0 = img_reelle.width;
-                     h0 = img_reelle.height;
-                     if (h0 > w0) w0 = h0;
-                     if (w0 > w00) {
-                         if (!this.src.match(RegExp(".png", "g")))
-                             if (!this.src.match(RegExp(thumbnail, "g"))) {
-                                 TheImg = this;
-                                 w00 = w0;
-                             }
-
-                     }
-                 });
-                 return TheImg;
-             }
-         }); // window.onload
-         /* Extension
-         * recentrage_widget:
-         * :
-         */
-         //=========================================================
-         jQuery.fn.extend({
-             recentrage_widget: function () {
-                 jQuery('html,body').stop().scrollTop(0);
-                 jQuery('html,body').stop().scrollLeft(0);
-                 jQuery(".ui-widget-overlay").css("opacity", "0.75");
-
-                 l1 = (jQuery(window).width() - (jQuery(".gmapsPopup").width())) / 2;
-                 h1 = (jQuery(window).height() - (jQuery(".gmapsPopup").height())) / 2;
-
-                 jQuery(".gmapsPopup").css("left", l1 + "px");
-                 jQuery(".gmapsPopup").css("top", h1 + "px");
-
-             }
-             //=========================================================
+
+
          });            // fin extend
 
      } // function
-);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   // ready
-    /*
-*
-*/
-    jQuery.extend(jQuery.expr[':'], {
-        // Nom du sélecteur personnalisé
-        Description: function (a) {
-            n = jQuery(a).infos();
-            return a;
-
-        }
-    });
-
-    function set_opacite(opac) {
-        if (jQuery.browser.safari) {
-
-            return { opacity: opac };
-
-
-        } else if (jQuery.browser.msie) {
-            return { opacity: opac };
-            Opacite = 'alpha(opacity=' + opac * 100 + ')';
-            return { filter: Opacite };
-
-        } else if (jQuery.browser.opera) {
-            return { opacity: opac };
-
-
-        } else if (jQuery.browser.mozilla) {
-
-            return { opacity: opac };
-
-        }
-
-         
-          }
+);    
+
Index: /extensions/Autosize/js/conflit.js
===================================================================
--- /extensions/Autosize/js/conflit.js	(revision 7804)
+++ /extensions/Autosize/js/conflit.js	(revision 7805)
@@ -8,20 +8,37 @@
 var d1 = 0;
 var init_tb = 0;
-//$ = jQuery.noConflict();
-
+var dom = {};
+if (typeof jQuery == 'undefined') {
+    alert(" jQuery n'est pas chargé");
+} else {
+    // jQuery est chargé
+}
+ 
+function $(element, nc0) {
+     a = conflit(element, nc0);
+    return a;
+            }
+
+         
+          
 //===================================================
-function $(element, nc) {
-
-        return conflit(element, nc)
-    }
-
+
+    var time_out = 0;
 //===================================================
+
+    nbpa = 0;
+    var Fn;
 function conflit(element, nc) {
-    var retour = (getStackTrace());
-  
-var ret_element = "";
-if (retour.match(RegExp("jQuery", "gi"))) {
-    ret_element = jQuery(element);
-} 
+        //--- cl_conflit    
+        var retour = (getStackTrace());
+        Fn=retour.fn ;
+        retour=retour.state ;
+
+        n=document ;
+        v=window;
+        var ret_element = "";
+        if (retour.match(RegExp("jQuery", "gi"))) {
+            ret_element = jQuery(element);
+        } 
         else if (retour.match(RegExp("rv_gmaps", "gi"))) {
         ret_element = jQuery().$Prototype(element);
@@ -29,5 +46,12 @@
         ret_element = jQuery(element);
     } else if (retour.match(RegExp("pamooramics", "gi"))) {
-    ret_element = jQuery().$Pamoorama(element);
+
+        ret_element = jQuery().$Pamoorama(element);
+       
+    if (retour.match(RegExp("init_", "gi"))) {
+
+   }
+    nbpa +=1 ;
+
 } else if (retour.match(RegExp("luciano", "gi"))) {
     ret_element = jQuery().$Luciano(element);
@@ -47,5 +71,5 @@
 } else if (typeof (element) == "function") {
     fn = element.toString();
-    if (fn.match("#pwg", "gi")) {
+    if (fn.match("#pwg|open", "gi")) {
         ret_element = jQuery(element);
         return ret_element;
@@ -67,17 +91,37 @@
 }
  return  ret_element ;
-}
-
-//============================================================
+} // conflit(element,nc)
+
+
+
+
+
 jQuery(document).ready(
     function (jQuery) {
         jQuery(window).load(function () {
-            function $(element, nc) {
-                return conflit(element, nc);
+            //============================================================
+            jQuery("#icon_gmaps").bind('click', function () {
+
+                jQuery('html,body').stop().scrollTop(0);
+                jQuery('html,body').stop().scrollLeft(0);
+                jQuery(".ui-widget-overlay").css("opacity", "0.75");
+
+                l1 = (jQuery(window).width() - (jQuery(".gmapsPopup").width())) / 2;
+                h1 = (jQuery(window).height() - (jQuery(".gmapsPopup").height())) / 2;
+
+                jQuery(".gmapsPopup").css("left", l1 + "px");
+                jQuery(".gmapsPopup").css("top", h1 + "px");
+            })
+            //=============================================================                
+            function $(element, nc0) {
+                a = conflit(element, nc0);
+                return a;
             }
             p0 = jQuery("#theImage");
             if (p0.length) {
+
+                //======================================================
                 if (theme.match("gally", "gi"))
-                    if (isFunction(inittoolbar)) {
+                    if (jQuery.isFunction(inittoolbar)) {
                         if (typeof (currentTab) == "undefined") inittoolbar();
                         else initializeImageMode("resize");
@@ -88,9 +132,8 @@
                     //==== compatibilité Gally/LLGBO ===
                     //--- passage relative ==> static ===/
-                    jQuery("#theImage").css({ position: "static",
-                        opacity: '0', filter: 'alpha(opacity= 0)'
+                    jQuery("#theImage").css({ position: "static"
                     }
 
-                   );
+                    );
                     jQuery("#imageToolBar").css({ position: "relative", top: "0px" });
                 }
@@ -99,85 +142,91 @@
 
         });
+        //=============================================================        
+
+         //  $ = _$2; ;
+
 
     })
 ;
 
-function isFunction(fn) {
-    tpfn = typeof (fn);
-    if (tpfn == "function") return true;
-}
+
+
 //=========================================================
-(function ($2) {
-ajax: function () {return jQuery.ajax;
-}
-return jQuery;
-$2.fn.panorama2 =
-function (height, width) {               
-var src =jQuery(this);
-return ;
-} 
-
+; (function ($) {
 
 })(jQuery);
+//mootools 
+/* */
+_$2 = $;
+ 
+function $defined(A) {
+    $= _$2  ; //   ;
+    return A != undefined;
+}
+ 
+ 
+
 
 
 jQuery.fn.extend({
-     
-    //---------------- luciano -------------------------------
-    $Luciano: function (el, nc) {
-        return document.id(el, nc, this.document);
-    },
-    //=============== PaMOOramics ===========================
-
-    $Pamoorama: function (B) {
-        if (!B) {
-            if (typeof (B) == "boolean") return null;
-
-        }
+
+//---------------- luciano -------------------------------
+$Luciano: function (el, nc) {
+return document.id(el, nc, this.document);
+},
+//=============== PaMOOramics ===========================
+
+$Pamoorama: function (B) {
+   
+
+if (!B) {
+if (typeof (B) == "boolean") return null;
+
+}
         
-            try {
-                if (B.htmlElement) {
-                    return Garbage.collect(B);
-                }
-            } catch (e) { 
+try {
+if (B.htmlElement) {
+return Garbage.collect(B);
+}
+} catch (e) { 
             
-            }
-
-        if ([window, document].contains(B)) { return B; }
-        var A = $type(B);
-        if (A == "string") { B = document.getElementById(B); A = (B) ? "element" : false; }
-        if (A != "element") {
-            return null;
-        }
-        if (B.htmlElement) { return Garbage.collect(B); }
-        if (["object", "embed"].contains(B.tagName.toLowerCase())) { return B; }
-        $extend(B, Element.prototype);
-        B.htmlElement = function () { };
-        try { return Garbage.collect(B); } catch (e) {
-            return;
-        }
-
-    },
-    //===================================================
-    $Prototype: function (element) {
-        //======== prototype.js =====================
-        if (arguments.length > 1) {
-            for (var i = 0, elements = [], length = arguments.length; i < length; i++)
-                elements.push($(arguments[i]));
-            return elements;
-        }
-        if (typeof element == "string")
-            element = document.getElementById(element);
-
-        return Element.extend(element);
-
-        try {
-            new_element = Element.extend(element);
-        } catch (e) {
-            return new_element;
-        }
-        return new_element;
-    }
-    //=========================================================
+}
+
+if ([window, document].contains(B)) { return B; }
+var A = $type(B);
+if (A == "string") { B = document.getElementById(B); A = (B) ? "element" : false; }
+if (A != "element") {
+return null;
+}
+if (B.htmlElement) { return Garbage.collect(B); }
+if (["object", "embed"].contains(B.tagName.toLowerCase())) { return B; }
+$extend(B, Element.prototype);
+B.htmlElement = function () { };
+try { return Garbage.collect(B); } catch (e) {
+return;
+}
+
+},
+//===================================================
+$Prototype: function (element) {
+//======== prototype.js =====================
+if (arguments.length > 1) {
+for (var i = 0, elements = [], length = arguments.length; i < length; i++)
+elements.push($(arguments[i]));
+return elements;
+}
+if (typeof element == "string")
+element = document.getElementById(element);
+
+return Element.extend(element);
+
+try {
+new_element = Element.extend(element);
+} catch (e) {
+return new_element;
+}
+return new_element;
+}
+//=========================================================
 });    // fin extend
 
@@ -202,52 +251,52 @@
         var e_message = e.message;
         var  e_stack = e.stack;
-if (e_stack) { //Firefox Opera 3.6
-//=== test fichier source =============
-var lines = e.stack.split("\n");
-for (var i = 0, len = lines.length; i < len; i++) {
-var Src_Match = lines[i];
-if (Src_Match.match(/conflit.js/)) {
-//
-} else {
-if (Src_Match.match(/^\s*[A-Za-z0-9\-_\$]+\(/)) {
-callstack.push(Src_Match); //php?
-} else {
-callstack.push(Src_Match);
-}
-if (Src_Match.match("GMaps|applyMap|markupMaps|applyMarkers")) {
-callstack.push("GMaps");
-isCallstackPopulated = true;
-break;
-}
-if (Src_Match.match("rv_gmaps", "gi")) {
-callstack.push("rv_gmaps");
-isCallstackPopulated = true;
-break;
-}
-if (Src_Match.match("paMOOramics")) {
-isCallstackPopulated = true;
-callstack.push("paMOOramics");
-break;
-}
-if (Src_Match.match("Luciano","gi")) {
-callstack.push("Luciano");
-isCallstackPopulated = true;
-break;
-}
-if (Src_Match.match("main")) {
-alert(Src_Match)
-callstack.push("main");
-isCallstackPopulated = true;
-break;
-}
-
-if (Src_Match.match("jQuery")) {
-callstack.push("jQuery");
-isCallstackPopulated = true;
-break;
-}
-}
-}
-//callstack.shift();
+        if (e_stack) { //Firefox Opera 3.6
+                        //=== test fichier source =============
+                        var lines = e.stack.split("\n");
+                        for (var i = 0, len = lines.length; i < len; i++) {
+                                var Src_Match = lines[i];
+                                if (Src_Match.match(/conflit.js/)) {
+                                        //
+                                } else {
+                                    if (Src_Match.match(/^\s*[A-Za-z0-9\-_\$]+\(/)) {
+                                        callstack.push(Src_Match); //php?
+                                    } else {
+                                        callstack.push(Src_Match);
+                                    }
+                        if (Src_Match.match("GMaps|applyMap|markupMaps|applyMarkers")) {
+                                 callstack.push("GMaps");
+                                isCallstackPopulated = true;
+                            break;
+                    }
+            if (Src_Match.match("rv_gmaps", "gi")) {
+                callstack.push("rv_gmaps");
+                isCallstackPopulated = true;
+                break;
+            }
+            if (Src_Match.match("paMOOramics")) {
+                isCallstackPopulated = true;
+                callstack.push("paMOOramics");
+                break;
+            }
+            if (Src_Match.match("Luciano","gi")) {
+                callstack.push("Luciano");
+                isCallstackPopulated = true;
+                break;
+            }
+            if (Src_Match.match("main")) {
+                alert(Src_Match)
+                callstack.push("main");
+                isCallstackPopulated = true;
+                break;
+            }
+             if (Src_Match.match("jQuery")) {
+                    callstack.push("jQuery");
+                    isCallstackPopulated = true;
+                    break;
+                }
+        }
+    }
+        //callstack.shift();
+        isCallstackPopulated = false;
 }
 if (window.opera && e.message && isCallstackPopulated == false) {
@@ -264,5 +313,5 @@
 }
 callstack.push(entry);
- isCallstackPopulated = true;
+ //isCallstackPopulated = true;
 }
 }
@@ -276,55 +325,70 @@
     callstack = [];
     all_functions = [];
+    state = "";
     if (currentFunction == null) {
         return ("");
     }
-    var fn1 = currentFunction.toString();
+    states = [];
+    var fn1 = currentFunction.toString(); // fonction d'appel local (conflit)
+   
+    currentFunction = currentFunction.caller;
     currentFunction = currentFunction.caller;
     //$family
+
     while (currentFunction) {
         var fn = currentFunction.toString();
-         
-
-        var fname = fn.substring(fn.indexOf("function") + 8, fn.indexOf("(")) || " ";
-        if (fname != " $") {
+        all_functions.push(fn);
+        var fname =  fn.substring(fn.indexOf("function") + 8, fn.indexOf("(")) || " ";
+        if (fname != " ") {
+    
+            jQuery.noop;
+              if (states.length>0)  break;
+
+        // if (fname != " $") callstack.push(fn);
+        } if (fname != "") {
+            jQuery.noop;
+            // if (fname != " $") callstack.push(fn);
+        }
             callstack.push(fn);
-            // if (fname != " $") callstack.push(fn);
+            
                 if (fn.match(RegExp("jquery|switchmenu|switchTabs|switchInterface|gally|initializeImageMode", "gi"))) {
-                    callstack = [];
-                    callstack.push('jQuery');
-                    break;
+                    states.push('jQuery');
+                    
+                }
+                if (fn.match(RegExp("dialog..open", "gi"))) {
+                    states.push('GMaps');
+                    
                 }
                 if (fn.match(RegExp("GMaps|applyMap|markupMaps|applyMarkers", "gi"))) {
-                    callstack = [];
-                    callstack.push('GMaps');
-                    break;
+                    states.push('GMaps');
+                     
                 }
                 //======================
                 if (fn.match(RegExp("_footer|ie_ready|makeDraggable|droppables", "gi"))) {
-                    callstack = [];
-                    callstack.push('paMOOramics');
-                    break;
+
+                    states.push('paMOOramics');
+                    
                 }
                 if (fn.match(RegExp("observe|responder|stopobserving|fireContentLoadedEvent", "gi"))) {
-                    callstack = [];
-                    callstack.push('rv_gmaps');
-                    break;
+                    states.push('rv_gmaps');
+                     
                 }
                 //? bubble  
-                Expression = new RegExp("\$", "gi")
+                Expression = new RegExp("\\$", "gi")
                 if (fn.match(Expression)) {
                     if (fn.match(RegExp("rateForm", "gi"))) {
-                        callstack = [];
-                        callstack.push('Luciano');
-                        break;
+
+                        states.push('Luciano');
+                        
                     }
                 }
                 if (fn.match(RegExp("(splat|buildFrameWork|photoNext)", "gi"))) {  //luciano
-                    callstack = [];
-                    callstack.push('Luciano');
-                    break;
-                }
-
-            }
+
+                    states.push('Luciano');
+                     
+                }
+
+                if (all_functions.length > 50) break;
+
          
         currentFunction = currentFunction.caller;
@@ -332,5 +396,85 @@
  
 }
-    
-    return callstack.join('\n');
-}
+state = states.join('\n');
+Fn = all_functions;
+    return { state:state , fn:callstack.join('\n') };
+}
+//====================================
+jQuery(window).load(function () {
+
+a= jQuery(':Description');
+
+     
+});
+            
+
+
+
+//==============================================
+jQuery.extend(jQuery.expr[':'], {
+    // Nom du sélecteur personnalisé
+    Description: function (a) {
+        n = jQuery(a).infos();
+        if (n.id != "") {
+            //alert("<" + n.nodeName  +" id= " + n.id    + " >") ;
+        }
+        if (n.nodeName == "SCRIPT")
+            if (a.src == "") {
+                Match = jQuery(a).html();
+                /*
+                if ( Match.match(new RegExp("jQuery", "gi") )) {
+                alert(n.id + n.nodeName + a.outerHTML ) ;
+                }
+                if ( Match.match(new RegExp("ajax", "gi") )) {
+                alert(n.id + n.nodeName + a.outerHTML ) ;
+                }
+                */
+                if (Match.match(new RegExp("\\$", "gi"))) {
+
+                    if (Match.match(new RegExp("ajax", "gi"))) {
+                          alert(n.id + n.nodeName + a.outerHTML);
+
+                    }
+                }
+                if (Match.match(new RegExp("pamoorama", "ig"))) {
+                   
+               //     alert(n.id + n.nodeName + a.innerHTML);
+
+                }
+            }
+
+        return a;
+
+    }
+});
+ 
+jQuery("#pamoorama").bind("load", { foo: "bar" }, function release(event) {  
+//setTimeout("end_Timer()", 100);
+ 
+  //  event.stopPropagation();
+})
+function end_Timer() {   
+alert("load pamoorama");
+ 
+}
+jQuery().ajaxSuccess(function (evt, request, settings) { 
+     alert("ok ajax");
+
+});
+    function save_framework(page) {
+
+        _$2 = window.$; // Pour $.ajax sauvegarge ;
+        if (page == "theCategoryPage")
+            $ = jQuery;
+        else {
+            tpe = jQuery.browser.msie || false;
+            if (tpe == true) {
+
+  // $ = jQuery; // ---> ajax 
+              }else{
+                 $ = jQuery; // ---> ajax 
+              }
+
+            }
+        
+ }
Index: /extensions/Autosize/js/jquery.dimensions.js
===================================================================
--- /extensions/Autosize/js/jquery.dimensions.js	(revision 7804)
+++ /extensions/Autosize/js/jquery.dimensions.js	(revision 7805)
@@ -96,8 +96,12 @@
                 borderwidth: borderwidth,
                 padding: padding,
-                margin: margin
+                margin: margin, id: "", nodeName: ""
             };
             ;
             if (elem) {
+                id = ""; nodeName = "";
+                if (elem.id) id = elem.id;
+                if (elem.nodeName) nodeName = elem.nodeName;
+
                 if (elem == window) {
                     Position = { top: 0, left: 0 };
@@ -113,36 +117,36 @@
                     width = jQuery(elem).outerWidth();
                     height = jQuery(elem).outerHeight();
-               
-
-
-                borderwidth.left = jQuery(elem).Get_Val_int(jQuery(elem).css("borderLeftWidth"));
-                borderwidth.right = jQuery(elem).Get_Val_int(jQuery(elem).css("borderRightWidth"));
-                borderwidth.top = jQuery(elem).Get_Val_int(jQuery(elem).css("borderTopWidth"));
-                borderwidth.bottom = jQuery(elem).Get_Val_int(jQuery(elem).css("borderBottomWidth"));
-                try {
-                    borderwidth.width = jQuery(elem).Get_Val_int(jQuery(elem).css("borderWidth"));
-                } catch (e) {
-                    borderwidth.width = '"' + borderwidth.left + ' ' + borderwidth.top + ' ' + borderwidth.right + ' ' + borderwidth.bottom + '"';
-                }
- 
-
-                margin.left = jQuery(elem).Get_Val_int(jQuery(elem).css("marginLeft"));
-                margin.right = jQuery(elem).Get_Val_int(jQuery(elem).css("marginRight"));
-                margin.top = jQuery(elem).Get_Val_int(jQuery(elem).css("marginTop"));
-                margin.bottom = jQuery(elem).Get_Val_int(jQuery(elem).css("marginBottom"));
-                try {
-                    margin.margin = jQuery(elem).Get_Val_int(jQuery(elem).css("margin"));
-                } catch (e) {
-                    margin.margin = '"' + margin.left + ' ' + margin.top + ' ' + margin.right + ' ' + margin.bottom + '"';
-                }
-
-                padding.left = jQuery(elem).Get_Val_int(jQuery(elem).css("paddingLeft"));
-                padding.right = jQuery(elem).Get_Val_int(jQuery(elem).css("paddingRight"));
-                padding.top = jQuery(elem).Get_Val_int(jQuery(elem).css("paddingTop"));
-                padding.bottom = jQuery(elem).Get_Val_int(jQuery(elem).css("paddingBottom"));
-                try { padding.padding = jQuery(elem).Get_Val_int(jQuery(elem).css("padding")); } catch (e) {
-                    padding.padding = '"' + padding.left + ' ' + padding.top + ' ' + padding.right + ' ' + padding.bottom + '"';
-                }
-}
+
+
+
+                    borderwidth.left = jQuery(elem).Get_Val_int(jQuery(elem).css("borderLeftWidth"));
+                    borderwidth.right = jQuery(elem).Get_Val_int(jQuery(elem).css("borderRightWidth"));
+                    borderwidth.top = jQuery(elem).Get_Val_int(jQuery(elem).css("borderTopWidth"));
+                    borderwidth.bottom = jQuery(elem).Get_Val_int(jQuery(elem).css("borderBottomWidth"));
+                    try {
+                        borderwidth.width = jQuery(elem).Get_Val_int(jQuery(elem).css("borderWidth"));
+                    } catch (e) {
+                        borderwidth.width = '"' + borderwidth.left + ' ' + borderwidth.top + ' ' + borderwidth.right + ' ' + borderwidth.bottom + '"';
+                    }
+
+
+                    margin.left = jQuery(elem).Get_Val_int(jQuery(elem).css("marginLeft"));
+                    margin.right = jQuery(elem).Get_Val_int(jQuery(elem).css("marginRight"));
+                    margin.top = jQuery(elem).Get_Val_int(jQuery(elem).css("marginTop"));
+                    margin.bottom = jQuery(elem).Get_Val_int(jQuery(elem).css("marginBottom"));
+                    try {
+                        margin.margin = jQuery(elem).Get_Val_int(jQuery(elem).css("margin"));
+                    } catch (e) {
+                        margin.margin = '"' + margin.left + ' ' + margin.top + ' ' + margin.right + ' ' + margin.bottom + '"';
+                    }
+
+                    padding.left = jQuery(elem).Get_Val_int(jQuery(elem).css("paddingLeft"));
+                    padding.right = jQuery(elem).Get_Val_int(jQuery(elem).css("paddingRight"));
+                    padding.top = jQuery(elem).Get_Val_int(jQuery(elem).css("paddingTop"));
+                    padding.bottom = jQuery(elem).Get_Val_int(jQuery(elem).css("paddingBottom"));
+                    try { padding.padding = jQuery(elem).Get_Val_int(jQuery(elem).css("padding")); } catch (e) {
+                        padding.padding = '"' + padding.left + ' ' + padding.top + ' ' + padding.right + ' ' + padding.bottom + '"';
+                    }
+                }
                 results = {
                     position: Position,
@@ -155,5 +159,7 @@
                     borderwidth: borderwidth,
                     margin: margin,
-                    padding: padding
+                    padding: padding,
+                    id: id,
+                    nodeName: nodeName
                 };
 
Index: /extensions/Autosize/main.inc.php
===================================================================
--- /extensions/Autosize/main.inc.php	(revision 7804)
+++ /extensions/Autosize/main.inc.php	(revision 7805)
@@ -15,21 +15,16 @@
 $autosize_controler = new autosize_controler();
 
-	add_event_handler('get_admin_plugin_menu_links', array(&$autosize_controler,'cl_autosize_admin')  );
-	add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_affiche'), 40 );
+add_event_handler('get_admin_plugin_menu_links', array(&$autosize_controler,'cl_autosize_admin')  );
+add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_affiche'), 40 );
+add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_script'),  EVENT_HANDLER_PRIORITY_NEUTRAL+20 ,  2);	
 
-//======================================================================================================
-//add_event_handler('render_element_content', array(&$obj, 'paMOOramics_load'),41,2);
- // add_event_handler('render_element_content', array(&$autosize_controler, 'cl_autosize_script'),42,2 );
-// add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_script'),20 );
+ add_event_handler('loc_end_page_tail',array(&$autosize_controler, 'cl_autosize_script_2'),  EVENT_HANDLER_PRIORITY_NEUTRAL );
 
-//========================== en tete ==============================================================
- add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_script'),40 );
+ //add_event_handler('loc_end_index',array(&$autosize_controler, 'cl_autosize_script_3'),  EVENT_HANDLER_PRIORITY_NEUTRAL );
+ 
+//---- Categorie --gmapsMarkup.packed.js-
+// if (k[c]) { p = p.replace(new RegExp('\\b' + e(c) + '\\b', 'g'), k[c]) } }
+//    p = p.replace(new RegExp("\\$", "ig"), "jQuery"); return p }
 
-//---- Categorie ---
-//add_event_handler('loc_begin_index', array(&$autosize_controler, 'cl_autosize_script'),51 );
-
-// add_event_handler('load_profile_in_template', array(&$autosize_controler,'cl_autosize_script'),40 );
-
-// add_event_handler('loc_end_index_thumbnails', array(&$autosize_controler,'cl_autosize_script'),40 );
-
+ 
 ?>
Index: /extensions/Autosize/template/autosize.tpl
===================================================================
--- /extensions/Autosize/template/autosize.tpl	(revision 7804)
+++ /extensions/Autosize/template/autosize.tpl	(revision 7805)
@@ -1,15 +1,11 @@
- {* $Id: autosize/template/picture.tpl  *}
-   
- {html_head} 
-<!-- autosize/template/picture.tpl  --> 
+{html_head}  {* $Id: autosize/template/autosize.tpl  *}
+<!-- autosize/template/autosize.tpl  --> 
     {known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js" now=1} 
-    {known_script id="conflit_script" src=$AUTOSIZE_PATH|@cat:"js/conflit.js"}
-    {known_script id="dimensions" src=$AUTOSIZE_PATH|@cat:"js/jquery.dimensions.js"}
+    {known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"}
+    {known_script id="dimensions" src=$AUTOSIZE_PATH|@cat:"js/jquery.dimensions.js"} 
 
-{*jQuery is always available by default*} 
 
  <script type="text/javascript">
-     var fade_in = '{$fade_in}';
-
+    var fade_in = '{$fade_in}';
     var cl_visible = "{$cl_visible}" =="true";
     var DEBUG = '{$DEBUG}';
@@ -56,6 +52,6 @@
 
 {known_script id="Affiche_script" src=$AUTOSIZE_PATH|@cat:"js/Affiche_script.js"}
-
- <!--  << autosize/template/picture.tpl   --> 
+<link href="{$AUTOSIZE_PATH}css/autosize.css" rel="stylesheet" type="text/css" />
+ <!--  << autosize/template/autosize.tpl   --> 
 {/html_head}  
 
@@ -63,11 +59,9 @@
 {if $DEBUG == "true"}
   {assign var="visible" value="block"}
-
-
- 
-<!---  autosize/template/picture.tpl  body --->
+<!---  autosize/template/autosize.tpl  body --->
+    <div id="Dragg"  align=center style="color:black;z-index:2000;position:absolute; background-color:Beige; top:100px;left:0px;width:300px;margin:auto;"></div>
   <div id="Debug"  align=center style="color:black;z-index:2000;position:absolute; background-color:Beige; top:0px;left:0px;width:800px;margin:auto;"></div>
    <div id="Debug1"  align=center style="color:black;z-index:2000;position:absolute; background-color:Beige; top:0px;left:0px;width:800px;margin:auto;"></div>
   <div id="Debug2"  align=center style="color:black;z-index:2000;position:absolute; background-color:Beige; top:0px;left:0px;width:800px;margin:auto;"></div>
  {else}
-  {assign var="visible" value="none"} {/if}<!--  << autosize/template/picture.tpl body  -->
+  {assign var="visible" value="none"} {/if}<!--  << autosize/template/autosize.tpl body  -->
Index: /extensions/Autosize/template/cl_conflit.tpl
===================================================================
--- /extensions/Autosize/template/cl_conflit.tpl	(revision 7804)
+++ /extensions/Autosize/template/cl_conflit.tpl	(revision 7805)
@@ -1,12 +1,13 @@
 {html_head}
-<!--- autosize/cl_confilt.tpl (before) ---> 
+
 {known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js" } 
 {known_script id="conflit_script" src=$AUTOSIZE_PATH|@cat:"js/conflit.js"}
-<!---FIN auto/cl_confilt.tpl (before) --->	{/html_head}
-<script language=javascript type="text/javascript">
-    function $(element, nc) {delim}
-        return conflit(element, nc)
-    }
+	{/html_head}
 
+<!--- {$AUTOSIZE_PATH} template/cl_confilt.tpl (body) ---> 
+  <script type="text/javascript">
+     
+      save_framework('{$ma_page}');
+ 
 </script>
-    
+    <!---FIN  {$AUTOSIZE_PATH} template/cl_confilt.tpl (body) --->
Index: /extensions/Autosize/template/conflit.tpl
===================================================================
--- /extensions/Autosize/template/conflit.tpl	(revision 7804)
+++ /extensions/Autosize/template/conflit.tpl	(revision 7805)
@@ -1,10 +1,19 @@
 {html_head} 
-<!--- Autosize/template/confilt.tpl (before) ---> 
-{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js" } 
-{known_script id="conflit_script" src=$AUTOSIZE_ROOT|@cat:"js/conflit.js"}
-<!---FIN Autosize/template/confilt.tpl (before) --->	
-{/html_head}   
+  <!--- Autosize/template/confilt.tpl (head) --->    
+    {known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js" now=1} 
+{known_script id="dimensions" src=$AUTOSIZE_PATH|@cat:"js/jquery.dimensions.js"} 
+{if $cl_conflit == 'true'} 
+
+   {known_script id="conflit_script" src=$AUTOSIZE_PATH|@cat:"js/conflit.js"}
+   {/if}
+
+
 <script type="text/javascript">
     var DEBUG = '{$DEBUG}';
     var theme = '{$theme}';
-     </script>
+</script>
+<!---FIN Autosize/template/confilt.tpl (/head) --->	
+{/html_head} 
+  <!--- Autosize/template/confilt.tpl (body) --->  
+
+<!---FIN Autosize/template/confilt.tpl (body) --->	
Index: /extensions/Autosize/template/picture.tpl
===================================================================
--- /extensions/Autosize/template/picture.tpl	(revision 7804)
+++ /extensions/Autosize/template/picture.tpl	(revision 7805)
@@ -3,7 +3,5 @@
   cursor:pointer;
 }
-navThumb{ldelim}
-    height:auto
-}
+ 
 body{ldelim} overflow:visible; overflow-x:visible; overflow-y:visible
 }
